# Generated by Django 4.1.7 on 2023-03-05 10:51

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('target_datetime', models.DateTimeField(default='')),
                ('activity', models.TextField(default='')),
                ('estimated_hours', models.FloatField(default='')),
                ('location', models.CharField(default='', max_length=255)),
                ('course', models.CharField(default='', max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mode', models.CharField(choices=[('OS', 'Onsite'), ('OL', 'Online'), ('HY', 'Hybrid')], default='OS', max_length=2)),
                ('venue', models.TextField(default='')),
            ],
        ),
    ]
